Subject: RE: comment on feature-T30-mapping-01.txt

From: "McIntyre, Lloyd" <[email-masked]>
Date: Mon, 28 Jun 1999 13:12:40 -0700

Mori-san,
Please allow me to stress and clarify, below, some key points in Graham's
response.

Lloyd

> -----Original Message-----
> From:	Graham Klyne [SMTP:[email-masked]]
> Sent:	Monday, June 28, 1999 1:54 AM
> To:	Yukikazu Mori
> Cc:	[email-masked]
> Subject:	Re: comment on feature-T30-mapping-01.txt
> 
> Mori-san,
> 
> Thank you for your question.
> 
> I think that there are two separate responses that I need to make here.
> 
> 
> First, taking your final point:
> 
> >My point is only to make a provision that Internet fax machine can send
> >MR/MMR/
> >B4/A3 with TIFF-S structure LEGALLY and to confirm such application will
> cause
> >no problem.
> 
> It is certainly possible and reasonable to express this capability.  I
> suggest the appropriate form would be:
> 
> #     (& (color=binary)
> #        (image-file-structure=TIFF-S)
> #        (image-coding=[MH,MR,MMR])
> #        (MRC-mode=0)
> #        (| (& (dpi=20320/100) (dpi-xyratio=20320/9779) )
> #           (& (dpi=20320/100) (dpi-xyratio=20320/19558) )
> #           (& (dpi=200) (dpi-xyratio=200/100) )
> #           (& (dpi=200) (dpi-xyratio=1) )
> #           (& (dpi=300) (dpi-xyratio=1) ) )
> #        (size-x<=2150/254)
> #        (Paper-size=[A4,B4,A3,Letter]) )
> 
> 
> 
	[McIntyre, Lloyd]  Yes it is possible to construct the above
representation, however, the RFC2301 Profile S (i.e. Section 3) rules, which
are invoked by (image-file-structure=TIFF-S), make it ILLEGAL to us MR, MMR,
300 dpi, B4 or A3 in conjunction with Profile S. A legal Profile S
representation, consistent with the (image-file-structure=TIFF-S) constraint
is:
	#     (& (color=binary)
	#        (image-file-structure=TIFF-S)
	#        (image-coding=MH)
	#        (MRC-mode=0)
	#        (| (& (dpi=20320/100) (dpi-xyratio=20320/9779) )
	#           (& (dpi=20320/100) (dpi-xyratio=20320/19558) )
	#           (& (dpi=200) (dpi-xyratio=200/100) )
	#           (& (dpi=200) (dpi-xyratio=1) ) )
	#        (size-x<=2150/254)
	#        (Paper-size=A4) )
	 
> Secondly, turning to your other questions:
> 
> >Now is it possible to say
> >
> >  (& (image-file-structure=[TIFF-S])
> >        (image-coding=[MH,MR,MMR]) )
> >
> >?
> >
> >To my understanding, TIFF-S is a SET of attributes such as A4/MH/IFD
> order
> >/LSB first/200*100,200*200dpi and so on... 
> >
	[McIntyre, Lloyd]  Yes this is true of RFC2301 Profile S.
> >So the above capablity means that the receiver side is able to handle
> only
> >TIFF-S file except that the coding scheme is only extentible to MR and
> MMR.
> >And other features of TIFF-S shall be kept.
> 
> I think it is important to be clear that the (image-file-structure=TIFF-S)
> tag is used to describe ONLY image file structure properties, rather than
> capabilities described by other feature tags (image-coding, dpi,
> paper-size, etc.)  So it DOES indicate the general file structure as
> TIFF-FX, with IFD order, LSB first, etc., but it does not of itself imply
> A4, 200*100dpi, MH/MR/MMR, etc.
	[McIntyre, Lloyd]  As above, (image-file-structure=TIFF-S) signal
the rule of Profile S which are summarized in RFC2301 Section 3.6.
Compression values equivalent to MR and MMR are ILLEGAL within the context
of Profile S.

	[McIntyre, Lloyd]  ---snip---
>  
> >In the same manner,
> >(&  (image-file-structure=[TIFF-S])
> >        (image-coding=[MH,MR,MMR])
> >             (Paper-size=[A4,Letter,B4,A3]) )
> >
> >Is this still valid?
> 
> This is valid, but incomplete, for the reasons given above. 
	[McIntyre, Lloyd]  Once again, this may be a valid representation,
however, the  (image-file-structure=[TIFF-S]) rules do not permit MR, MMR,
Letter, B4 or A3. 

> (And a small matter:  the expression (image-file-structure=[TIFF-S]) is
> equivalent to (image-file-structure=TIFF-S).  [RFC 2533 section 4.2.5.]
> 
> >I hope this is valid because I believe some fax machines will still have
> a
> >difficulty 
> >to fully support TIFF-F structure but rather easy to suport MR/MMR/B4/A3
> >within the range of TIFF-S structure.
> 
> It is possible to express what I think you are trying to say here, but the
> image coding details must all be expressed separately from the image file
> structure constraint.
	[McIntyre, Lloyd]  I am afraid that your cannot be realized,
(image-file-structure=TIFF-F)  must be supported if MR/MMR/B4/A3 are to be
supported.

---

From: Hiroshi Tamura <[email-masked]>
Date: Tue, 29 Jun 1999 07:56:52 +0900

McIntyre-san,

I am confused.

RFC2531(Appendix B) says,
      (Tiff-S) :-
           (& (image-file-structure=TIFF-S)
              (color=Binary)
              (image-coding=MH) (MRC-mode=0) )
-- end of quote --

There are two 'S', two 'F', ,,,

One is Tiff-S or Tiff-F.
This 'S' or 'F' means "Profile S" or "Profile F" in RFC2301.

The other is TIFF-S or TIFF-F.
These are "image-file-structure".

RFC2531(3.7) says,
   'image-file-structure' defines how the coded image data is wrapped
   and formatted.  Options defined here are the various profiles of
   TIFF-FX, per RFC 2301 [7].  These options apply to overall formatting
   of the image data (TIFF file format, byte ordering, bit ordering,
   etc.) and do not define specific image coding issues that are covered
   by other aspects of the TIFF-FX profile specifications.
-- end of quote --

The "image-file-structure"s are defined in 2.1 and 3.5 of RFC2301.

The "image-file-structure" is kind of one of capabilities such as
paper-size or resolution.

In short,
If Profile is 'S', "image-file-structure" should be TIFF-S defined
in 3.5 of RFC2301.
Even if "image-file-structure" is "TIFF-S", the image data do not always
conform to "Profile S" in RFC2301.

Therefore, for example, any combination of "image-file-structure",
"image-coding", "dpi" is allowed, I think.

<snip>

>> (image-file-structure=TIFF-F)  must be supported if MR/MMR/B4/A3 are to be

I don't agree.

And,
To support TIFF-F(image-file-structure) is too burden for manufacuturers,
in order to just only have MMR, considering the structure of TIFF-F,
in which the IFD is located in any place.

If I am wrong, please let me know, everyone.

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
Mail: [email-masked]
Tel: +81-462-28-7459  Fax: +81-462-28-7500 (SUB/F-code 5727)